Bug 499022 - Aspect ratio settings not respected by xrandr on intel video [NEEDINFO]
Aspect ratio settings not respected by xrandr on intel video
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 16:29 EDT by Hezekiah M. Carty
Modified: 2018-04-11 03:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (hez)


Attachments (Terms of Use)

  None (edit)
Description Hezekiah M. Carty 2009-05-04 16:29:24 EDT
Description of problem:
The intel Xorg driver supports, or is supposed to support, different methods of preserving or not preserving the aspect ratio of a given display resolution on a given physical display.  For example, one could display a 4:3 800x600 resolution on a 16:10 1280x800 display, with black rectangles on the sides of the display.

This has worked in the past "out of the box" for the Intel driver.  The default now seems to be to stretch the resolution to whatever the aspect ration is of the physical display.

This is on an install from F11preview DVD, with all updates as of May 4.  No xorg.conf, KMS is enabled.  Everything is left as it was from the fresh installation.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.7.0-2.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Use the Gnome Display applet to change the screen resolution to use a resolution with a different aspect ratio than that of the physical screen.
2. See how the image is stretched too wide/too tall.
3. Does not work with xrandr on the command line either (see below).
  
Actual results:
Stretched display without maintaining the aspect ratio

Expected results:
Stretched display with an appropriate aspect ratio

Additional info:
The only points of comparison I have readily available at this time are Ubuntu 8.10 and 9.04.  They both preserve the aspect ratio as expected, and as indicated should happen by "man intel".

Using xrandr from the command line gives the following error:

$ xrandr --output LVDS1 --set PANEL_FITTING full_aspect
X Error of failed request:  BadName (named color or font does not exist)
  Major opcode of failed request:  148 (RANDR)
  Minor opcode of failed request:  11 ()
  Serial number of failed request:  27
  Current serial number in output stream:  27
Comment 1 Matěj Cepl 2009-05-15 20:24:34 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Bug Zapper 2009-06-09 11:08:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Hezekiah M. Carty 2009-06-16 12:25:59 EDT
After speaking with the driver developers in #intel-gfx on freednode, it turns out that 2.7.0 does not support the driver aspect ratio options under KMS/UXA.  As I understand it, support has been introduced in the development tree of the 2.8.x driver.

Is there a git-build of the 2.8 Intel Xorg driver tree available for Fedora 11?  If so I would be happy to test with that and report back.
Comment 5 Matěj Cepl 2009-11-05 13:28:30 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Bug Zapper 2010-04-27 10:07:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 08:22:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.